org.wildfly.swarm.remoting

## Class RemotingFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Remoting<RemotingFraction>
      - - org.wildfly.swarm.remoting.RemotingFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<RemotingFraction>

      public class RemotingFraction
      extends Remoting<RemotingFraction>
      implements Fraction<RemotingFraction>

  Author:
    Ken Finnigan
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Remoting

      `Remoting.RemotingResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemotingFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static RemotingFraction` | `defaultFraction()`
    `boolean` | `isRequireLegacyConnector()`
    `int` | `port()`
    `RemotingFraction` | `port(int port)`
    `RemotingFraction` | `requireLegacyConnector(boolean required)`

    - ### Methods inherited from class org.wildfly.swarm.config.Remoting

      `addPropertyChangeListener, connector, connector, connector, connector, connectors, endpointConfiguration, endpointConfiguration, endpointConfiguration, endpointConfiguration, getKey, httpConnector, httpConnector, httpConnector, httpConnector, httpConnectors, localOutboundConnection, localOutboundConnection, localOutboundConnection, localOutboundConnection, localOutboundConnections, outboundConnection, outboundConnection, outboundConnection, outboundConnection, outboundConnections, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnections, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RemotingFraction

          public RemotingFraction()

  - ### Method Detail

    - #### requireLegacyConnector

          public RemotingFraction requireLegacyConnector(boolean required)

    - #### isRequireLegacyConnector

          public boolean isRequireLegacyConnector()

    - #### defaultFraction

          public static RemotingFraction defaultFraction()

    - #### applyDefaults

          public RemotingFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<RemotingFraction>`
      Returns:
        this fraction.

    - #### port

          public RemotingFraction port(int port)

    - #### port

          public int port()

Copyright © 2017 JBoss by Red Hat. All rights reserved.